> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Block an account

> This endpoint is used to delete existing data and block new data from being stored on the specified account. This may be necessary in order to comply with certain rules, regulations, or standards. <br></br>   This endpoint does several things.<ol><li>It immediately and permanently deletes most data from the account object. Certain information is retained that is necessary for MX to prevent the account from being re-added.</li><li>It prevents MX from creating or storing any additional data associated with the account, for example transactions, holdings, statements, etc. </li><li>  It immediately and permanently deletes all data associated with the account, for example transactions, holdings, statements, etc. </li></ol>  This action is scoped to the member the account belongs to. This means that if the real world account is connected or reconnected via another member, the block will have no effect on that account. <br></br>  This action cannot be taken on manual accounts, in other words accounts with `is_manual` is `true`. Attempting to perform a block on a manual account will result in a `400 Bad Request` error with the message Manually created accounts cannot be blocked. <br></br>  Objects deleted as a result of blocking an account will issue a webhook for that object with the action set to deleted. For example, account deleted, transaction deleted, etc. There is no special webhook or action for blocking.  <br></br>  This endpoint accepts the optional `MX-Skip-Webhook` header and `skip_webhook` parameter.



## OpenAPI

````yaml openapi/nexus/v1.yaml PUT /accounts/{account_guid}/block
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /accounts/{account_guid}/block:
    put:
      tags:
        - accounts
      summary: Block an account
      description: >
        This endpoint is used to delete existing data and block new data from
        being stored on the specified account. This may be necessary in order to
        comply with certain rules, regulations, or standards. <br></br>   This
        endpoint does several things.<ol><li>It immediately and permanently
        deletes most data from the account object. Certain information is
        retained that is necessary for MX to prevent the account from being
        re-added.</li><li>It prevents MX from creating or storing any additional
        data associated with the account, for example transactions, holdings,
        statements, etc. </li><li>  It immediately and permanently deletes all
        data associated with the account, for example transactions, holdings,
        statements, etc. </li></ol>  This action is scoped to the member the
        account belongs to. This means that if the real world account is
        connected or reconnected via another member, the block will have no
        effect on that account. <br></br>  This action cannot be taken on manual
        accounts, in other words accounts with `is_manual` is `true`. Attempting
        to perform a block on a manual account will result in a `400 Bad
        Request` error with the message Manually created accounts cannot be
        blocked. <br></br>  Objects deleted as a result of blocking an account
        will issue a webhook for that object with the action set to deleted. For
        example, account deleted, transaction deleted, etc. There is no special
        webhook or action for blocking.  <br></br>  This endpoint accepts the
        optional `MX-Skip-Webhook` header and `skip_webhook` parameter.  
      operationId: blockAccount
      parameters:
        - name: account_guid
          description: The unique identifier for the account. Defined by MX
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````